status with the latest git xserver

Justin P. Mattock justinmattock at
Thu Jul 23 10:35:11 PDT 2009

Aaron Plattner wrote:
> On Sat, Jul 18, 2009 at 12:07:17AM -0700, Justin P. Mattock wrote:
>> This is a status from over here:
>> macbook pro ati chipset works perfectly
>> with the latest git xserver, minor issue due to me
>> getting a bit confused but nothing out of the ordinary.
>> As for my other machine the imac nvidia chipset, well
>> a bit of an ABI issue:
>> (II) Loading extension DRI2
>> (II) LoadModule: "nvidia"
>> (II) Loading /usr/lib/xorg/modules/drivers/
>> (II) Module nvidia: vendor="NVIDIA Corporation"
>>           compiled for 4.0.2, module version = 1.0.0
>>           Module class: X.Org Video Driver
>> ================ WARNING WARNING WARNING WARNING ================
>> This server has a video driver ABI version of 6.0 that is not
>> supported by this NVIDIA driver.  Please check
>> for driver updates or downgrade to an X
>> server with a supported driver ABI.
>> =================================================================
>> (WW) NVIDIA: The driver will continue to load, but may behave strangely.
>> (WW) NVIDIA: This server has an unsupported input driver ABI version
>> (have 7.0, need<  5.0).  The driver will continue to load, but may
>> behave strangely.
>> (II) LoadModule: "kbd"
>> soulution was(after googling a bit)
>>    startx -ignoreABI,
> startx has this dumb behavior where it will silently ignore any arguments it
> doesn't recognize.  To actually pass that option on to the X server, you have to
> do this:
>      startx -- -ignoreABI
> Yes, that's a space, two dashes, another space, and then another dash.
>> but for some reason this didn't do anything.
>> I had to use in xorg.conf
>> Section "ServerFlags"
>>           Option "IgnoreABI" "true"
>> EndSection
>> Hopefully we don't have to wait to long for nvidia..
> Does it work?  We have a policy of trying to support an ABI but not actually
> marking it supported without -ignoreABI until after it has been declared frozen
> by the release manager.
>> Anyways nice work with the xserver xorg!!
Hey alright, just grabbed the latest beta driver,
compiles with 2.6.31-rc4 perfectly.
(I owe you a thanks, as well as anybody else associated with

Justin P. Mattock

More information about the xorg mailing list